Subject: bug#20677: tooltips generate garbage

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Jun 2015 18:37:51 +0300

> Date: Thu, 04 Jun 2015 14:25:28 +0900
> From: YAMAMOTO Mitsuharu <[email-masked]>
> Cc: Michael Heerdegen <[email-masked]>,
> 	[email-masked],
> 	[email-masked], "Jan D." <[email-masked]>
> 
> >> Yes, both patches fix the problem for me.  Like before, I tested
> >> with the tooltips in a dired buffer.
> 
> > Thanks.
> 
> > So which one of them is better, and should be pushed?
> 
> Thanks for testing.  The second one is closer to the code before the
> cairo merge, but the first would be better if it works.

I agree that the first patch looks better, as x_clear_area1 sounds
like a helper function.  So I suggest that we push that in a couple of
days.

Thanks.